//-------------------------------------------------------------------------
/*
Copyright (C) 2005 - Justin Marshall

This file is part of the blood reconstruction project.

WinBlood is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

PORTIONS OF CODE FROM DUKE NUKEM 3D SOURCE CODE
*/
//-------------------------------------------------------------------------
// network.h

#include <dplay8.h>

#define   INITGUID

DEFINE_GUID(BLOODGAME_GUID,0x55100520,0x907,0x11d2,0xa0,0x81,0x0,0x60,0x8,0xa3,0x78,0x9d);
HRESULT DXUtil_ConvertGenericStringToWideCch( WCHAR* wstrDestination, const TCHAR* tstrSource, int cchDestChar );

class kenNet_t
{
	public:
		kenNet_t::kenNet_t();
		void netinit (void);
		void netServerInit (void);
		boolean netConnect(char *ipAddress);
	private:
		PDIRECTPLAY8PEER        pDPlay;
		IDirectPlay8Address*    g_pDeviceAddress;
		IDirectPlay8Address*    g_pDeviceRemoteAddress;
		DPN_APPLICATION_DESC    dpAppDesc;
	protected:
		//LPGUID  BLOODGAME_GUID;

		// Indentification for blood games
		DWORD gamePort;
		boolean net_Initilized;
};