// bloodActor.h

#define ACTORAI_UNKOWN 0
#define ACTORAI_GUN    1

struct bloodEntity_t
{
	friend class actorManager_t;

	int picnum;
	int numofFrames;

	int walkFrames;
	int numofWalkFrames;

	int runFrames;
	int numofRunFrames;

	int fireAction;
	
	int health;
	int armor;

	int aiType;

	bloodEntity_t::bloodEntity_t(int picnum, int numofFrames, int walkFrames, int numofWalkFrames,
								 int runFrames, int numofRunFrames, int fireAction, int health,
								 int armor, int aiType)
	{
		this->picnum			= picnum;
		this->numofFrames		= numofFrames;
		this->walkFrames		= walkFrames;
		this->numofWalkFrames	= numofWalkFrames;
		this->runFrames			= runFrames;
		this->numofRunFrames	= numofRunFrames;
		this->fireAction		= fireAction;
		this->health			= health;
		this->armor				= armor;
		this->aiType			= aiType;
	}
};

class actorManager_t : public Game
{
	public:
		void blood_AddEntity(bloodEntity_t *thisEnt)
		{
			worldEnts.push_back(thisEnt);
		}
		void ClearAI(void);
		void blood_RunAI(void);
	private:
		vector<bloodEntity_t *> worldEnts;
};